﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
	<EnableNETAnalyzers>true</EnableNETAnalyzers>
    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Estat.SdmxSource.Extension" />
    <!-- FIXME Possibly move tests to SR or move SR in maapi.net -->
    <PackageReference Include="Estat.Sri.StructureRetriever" />
    <PackageReference Include="FluentAssertions.Json" />
    <PackageReference Include="log4net" />
    <PackageReference Include="MySql.Data" />
    <PackageReference Include="MySqlConnector" />
    <PackageReference Include="NSubstitute" />
    <PackageReference Include="nunit" />
    <PackageReference Include="NUnit3TestAdapter" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" />
    <PackageReference Include="Org.Sdmx.Resources.SdmxMl.Schemas.V10" />
    <PackageReference Include="Org.Sdmx.Resources.SdmxMl.Schemas.V20" />
    <PackageReference Include="Org.Sdmx.Resources.SdmxMl.Schemas.V21" />
    <PackageReference Include="Estat.SdmxSource.SdmxAPI" />
    <PackageReference Include="Estat.SdmxSource.SdmxStructureParser" />
    <PackageReference Include="System.Data.SqlClient" />
    <PackageReference Include="XObjects" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\src\Estat.Sri.Mapping.Api\Estat.Sri.Mapping.Api.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Mapping.MappingStore\Estat.Sri.Mapping.MappingStore.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.MappingStore.Store\Estat.Sri.Sdmx.MappingStore.Store.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Plugin.Editor.CustomQueryEditor\Estat.Sri.Plugin.Editor.CustomQueryEditor.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Plugin.Editor.QueryEditor\Estat.Sri.Plugin.Editor.QueryEditor.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Plugin.SqlServer\Estat.Sri.Plugin.SqlServer.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Utils\Estat.Sri.Utils.csproj" />
    <ProjectReference Include="..\..\src\MappingStore\Estat.Sri.Sdmx.MappingStore.Retrieve.csproj" />
  </ItemGroup>
 <ItemGroup>
    <Content Include="tests\**">
    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
 <ItemGroup>
   <None Remove="tests\ComponentMappings\componentMapping1to1.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingConstArrayValues.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingConstArrayValues2.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingConstArrayValueWithCol.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingConstValue.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingConstValue2.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingConstValue3.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingConstValueWithCol.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingDefaultArrayValueNoCol.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingDefaultArrayValues.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingDefaultArrayValues2.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingDefaultValue.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingDefaultValue2.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingDefaultValue3.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingDefaultValueNoCol.json" />
   <None Remove="tests\ComponentMappings\ComponentMappingNto1.json" />
   <None Remove="tests\ComponentMappings\Transcoding1to1.json" />
   <None Remove="tests\ComponentMappings\Transcoding1toArrayValues.json" />
   <None Remove="tests\ComponentMappings\TranscodingNto1.json" />
   <None Remove="tests\ComponentMappings\TranscodingNto1andNtoArray.json" />
   <None Remove="tests\ComponentMappings\TranscodingNtoArrayandNto1.json" />
   <None Remove="tests\ComponentMappings\TranscodingNtoArrayValues.json" />
   <None Remove="tests\dsd_new_feature_example.xml" />
   <None Remove="tests\end-to-end\CENSUSHUB_2021.xml" />
   <None Remove="tests\end-to-end\CENSUSHUB_Q_XS1.xml" />
   <None Remove="tests\end-to-end\dataset-p1.json" />
   <None Remove="tests\end-to-end\dataset-p2.json" />
   <None Remove="tests\end-to-end\dataset.json" />
   <None Remove="tests\end-to-end\datasetColumns.json" />
   <None Remove="tests\end-to-end\datasetPatch.json" />
   <None Remove="tests\end-to-end\new-ddb-connection-with-permissions.json" />
   <None Remove="tests\end-to-end\new-ddb-connection.json" />
   <None Remove="tests\end-to-end\nsiws-new.json" />
   <None Remove="tests\end-to-end\nsiws-patch.json" />
   <None Remove="tests\end-to-end\SSTSCONS_PROD_M_TUTORIAL.xml" />
   <None Remove="tests\jsonParser\columnDescription.json" />
   <None Remove="tests\jsonParser\datasetColumn.json" />
   <None Remove="tests\jsonParser\datasetEntity.json" />
   <None Remove="tests\jsonParser\datasetEntityExtraDataAsString.json" />
   <None Remove="tests\jsonParser\datasetEntityStandalone.json" />
   <None Remove="tests\jsonParser\datasetEntityWithPermissions.json" />
   <None Remove="tests\jsonParser\dataSource.json" />
   <None Remove="tests\jsonParser\ddbConectionEntity.json" />
   <None Remove="tests\jsonParser\ddbconnection2.json" />
   <None Remove="tests\jsonParser\headerTemplateEntity.json" />
   <None Remove="tests\jsonParser\headerTemplateMultipleNamesRolesAndDeparmentsEntity.json" />
   <None Remove="tests\jsonParser\header_from_istat.json" />
   <None Remove="tests\jsonParser\lastupdatedentity-constant.json" />
   <None Remove="tests\jsonParser\lastupdatedentity.json" />
   <None Remove="tests\jsonParser\mappingEntity.json" />
   <None Remove="tests\jsonParser\mappingSetEntity.json" />
   <None Remove="tests\jsonParser\multiple-mappings.json" />
   <None Remove="tests\jsonParser\multipleEntityTypes.json" />
   <None Remove="tests\jsonParser\registryEntity.json" />
   <None Remove="tests\jsonParser\store-from-maweb.json" />
   <None Remove="tests\jsonParser\store.json" />
   <None Remove="tests\jsonParser\templateMapping.json" />
   <None Remove="tests\jsonParser\timemapping-simple.json" />
   <None Remove="tests\jsonparser\transcoding-rules-from-maweb.json" />
   <None Remove="tests\jsonParser\transcodingEntity.json" />
   <None Remove="tests\jsonParser\transcodingRules-issue.json" />
   <None Remove="tests\jsonParser\transcodingRules.json" />
   <None Remove="tests\jsonParser\transcodingTimeDateTime.json" />
   <None Remove="tests\jsonParser\updatestatusentity-constant.json" />
   <None Remove="tests\jsonParser\updatestatusentity-transcoding.json" />
   <None Remove="tests\jsonParser\updatestatusentity.json" />
   <None Remove="tests\jsonParser\userEntity.json" />
   <None Remove="tests\jsonParser\validtomappingentity-constant.json" />
   <None Remove="tests\jsonParser\validtomappingentity.json" />
   <None Remove="tests\jsonWriter\datasetEntity.json" />
   <None Remove="tests\jsonWriter\dataSource.json" />
   <None Remove="tests\jsonWriter\ddbConectionEntity.json" />
   <None Remove="tests\jsonWriter\headerTemplateEntity.json" />
   <None Remove="tests\jsonWriter\lastupdatedentity-constant.json" />
   <None Remove="tests\jsonWriter\lastupdatedentity.json" />
   <None Remove="tests\jsonWriter\localCodeEntity.json" />
   <None Remove="tests\jsonWriter\mappingEntity.json" />
   <None Remove="tests\jsonWriter\mappingSetEntity.json" />
   <None Remove="tests\jsonWriter\registryEntity.json" />
   <None Remove="tests\jsonWriter\transcodingEntity.json" />
   <None Remove="tests\jsonWriter\updatestatusentity-constant.json" />
   <None Remove="tests\jsonWriter\updatestatusentity-transcoding.json" />
   <None Remove="tests\jsonWriter\updatestatusentity.json" />
   <None Remove="tests\jsonWriter\userActionEntity.json" />
   <None Remove="tests\jsonWriter\userEntity.json" />
   <None Remove="tests\jsonWriter\validtomappingentity-constant.json" />
   <None Remove="tests\jsonWriter\validtomappingentity.json" />
   <None Remove="tests\test-sdmxv3.0.0-measures-array-ESTAT+STS+2.0-DF-DSD-full.xml" />
 </ItemGroup>
 <ItemGroup>
   <Content Update="tests\dsd_new_feature_example.xml">
     <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
   </Content>
   <Content Update="tests\jsonParser\registryEntity.json">
     <CopyToOutputDirectory>Always</CopyToOutputDirectory>
   </Content>
 </ItemGroup>

<Target Name="CopyCustomContent" AfterTargets="AfterBuild">
  <Copy SourceFiles="app.config" DestinationFiles="$(OutDir)\testhost.dll.config" />
  <Copy SourceFiles="app.config" DestinationFiles="$(OutDir)\resharpertestrunner64.dll.config" />
  <!-- Used by Rider on Linux -->
  <Copy SourceFiles="app.config" DestinationFiles="$(OutDir)\ReSharperTestRunner.dll.config" />
</Target>
</Project>
